%define gettext_package gnome-control-center-2.0

%define glib2_version 2.13.0
%define gtk3_version 2.99.0
%define gnome_desktop_version 2.91.5
%define desktop_file_utils_version 0.9
%define xft_version 2.1.7
%define fontconfig_version 1.0.0
%define redhat_menus_version 1.8
%define metacity_version 2.23.1
%define libxklavier_version 4.0
%define gnome_menus_version 2.11.1
%define usermode_version 1.83
%define libgnomekbd_version 2.31.1
%define libXrandr_version 1.2.99

Summary: Utilities to configure the GNOME desktop
Name: control-center
Version: 3.2.2
Release: %mkrel 1
License: GPLv2+ and GFDL
Group: Graphical desktop/GNOME
Source: http://download.gnome.org/sources/gnome-control-center/3.1/gnome-control-center-%{version}.tar.xz
Source1: gnome-control-center.desktop
URL: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: gnome-settings-daemon
Requires: gnome-desktop3 >= %{gnome_desktop_version}
Requires: control-center-filesystem = %{version}-%{release}
Requires: accountsservice
Requires: iso-codes
Requires(post): desktop-file-utils
Requires(post): shared-mime-info
Requires(postun): desktop-file-utils
Requires(postun): shared-mime-info
Obsoletes: control-center-extra < %{version}-%{release}
Provides: control-center-extra = %{version}-%{release}
Obsoletes: accountsdialog < %{version}-%{release}
Provides: accountsdialog = %{version}-%{release}
Obsoletes: desktop-effects < %{version}-%{release}
Provides: desktop-effects = %{version}-%{release}
Provides: gnome-control-center = %{version}-%{release}


%description
This package contains configuration utilities for the GNOME desktop, which
allow to configure accessibility options, desktop fonts, keyboard and mouse
properties, sound setup, desktop theme and background, user interface
properties, screen resolution, and other settings.

%package filesystem
Summary: GNOME Control Center directories
Group: Graphical desktop/GNOME
# NOTE: this is an "inverse dep" subpackage. It gets pulled in
# NOTE: by the main package an MUST not depend on the main package

%description filesystem
The GNOME control-center provides a number of extension points
for applications. This package contains directories where applications
can install configuration files that are picked up by the control-center
utilities.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
License:	LGPLv2+
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the libraries and header files.


%prep
%setup -q -n gnome-control-center-%{version}

%build

%configure2_5x \
        --disable-static \
        --disable-scrollkeeper \
        --disable-update-mimedb \
        --with-libsocialweb=no \
        CFLAGS="$RPM_OPT_FLAGS -Wno-error"

# drop unneeded direct library deps with --as-needed
# libtool doesn't make this easy, so we do it the hard way
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/    if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/      func_append compile_command " -Wl,-O1,--as-needed"\n      func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool

make %{?_smp_mflags}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# we do want this
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/wm-properties

# we don't want these
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/autostart
rm -rf $RPM_BUILD_ROOT%{_datadir}/gnome/cursor-fonts

# remove useless libtool archive files
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

# remove rpath
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/control-center-1/panels/*.so
chrpath --delete $RPM_BUILD_ROOT%{_bindir}/gnome-control-center

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/gnome-control-center.desktop


%find_lang %{gettext_package} --all-name --with-gnome

%post
/sbin/ldconfig
update-desktop-database --quiet %{_datadir}/applications
update-mime-database %{_datadir}/mime > /dev/null
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
/sbin/ldconfig
update-desktop-database --quiet %{_datadir}/applications
update-mime-database %{_datadir}/mime > /dev/null
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :

%files -f %{gettext_package}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_datadir}/gnome-control-center/keybindings/*.xml
%{_datadir}/gnome-control-center/ui
%{_datadir}/gnome-control-center/pixmaps
%{_datadir}/gnome-control-center/datetime/
%{_datadir}/gnome-control-center/sounds/gnome-sounds-default.xml
%{_datadir}/applications/*.desktop
%{_datadir}/desktop-directories/*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/gnome-control-center/icons/
%{_datadir}/sounds/gnome/default/*/*.ogg
# list all binaries explicitly, so we notice if one goes missing
%{_bindir}/gnome-control-center
%{_bindir}/gnome-sound-applet
%{_libdir}/*.so.*
%{_sysconfdir}/xdg/autostart/gnome-sound-applet.desktop
%{_sysconfdir}/xdg/menus/gnomecc.menu
%dir %{_libdir}/control-center-1
%{_libdir}/control-center-1/panels/libbackground.so
%{_libdir}/control-center-1/panels/libcolor.so
%{_libdir}/control-center-1/panels/libdate_time.so
%{_libdir}/control-center-1/panels/libdisplay.so
%{_libdir}/control-center-1/panels/libinfo.so
%{_libdir}/control-center-1/panels/libkeyboard.so
%{_libdir}/control-center-1/panels/libmedia.so
%{_libdir}/control-center-1/panels/libmouse-properties.so
#%{_libdir}/control-center-1/panels/libnetwork.so
%{_libdir}/control-center-1/panels/libonline-accounts.so
%{_libdir}/control-center-1/panels/libpower.so
%{_libdir}/control-center-1/panels/libprinters.so
%{_libdir}/control-center-1/panels/libregion.so
%{_libdir}/control-center-1/panels/libscreen.so
%{_libdir}/control-center-1/panels/libsound.so
%{_libdir}/control-center-1/panels/libuniversal-access.so
%{_libdir}/control-center-1/panels/libuser-accounts.so

#%{_libdir}/control-center-1/panels/libnetwork.so
%{_libdir}/control-center-1/panels/libwacom-properties.so

%{_datadir}/pixmaps/faces
%{_datadir}/omf/control-center

%files filesystem
%defattr(-,root,root,-)
%dir %{_datadir}/gnome/wm-properties
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/keybindings

%files devel
%defattr(-,root,root,-)
%{_libdir}/libgnome-control-center.so
%{_datadir}/pkgconfig/gnome-keybindings.pc

%changelog
* Wed Dec 14 2011 Texstar <texstar at gmail.com> 3.2.2-1pclos2011
- 3.2.2

* Tue Oct 18 2011 Texstar <texstar at gmail.com> 3.2.1-1pclos2011
- 3.2.1

* Tue Sep 27 2011 Texstar <texstar at gmail.com> 3.2.0-1pclos2011
- 3.2.0

* Thu Sep 22 2011 Texstar <texstar at gmail.com> 3.1.92-1pclos2011
- 3.1.92

* Tue Sep 06 2011 Texstar <texstar at gmail.com> 3.1.91-1pclos2011
- 3.1.91

* Thu Sep 01 2011 Texstar <texstar at gmail.com> 3.1.90-2pclos2011
- add menu entry

* Thu Sep 01 2011 Texstar <texstar at gmail.com> 3.1.90-1pclos2011
- 3.1.90

* Mon Aug 29 2011 Texstar <texstar at gmail.com> 3.1.4-3pclos2011
- rebuild with new gnome-menu

* Fri Aug 26 2011 Texstar <texstar at gmail.com> 3.1.4-2pclos2011
- move .pc file to devel package

* Fri Aug 26 2011 Texstar <texstar at gmail.com> 3.1.4-1pclos2011
- 3.1.4
